<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content component">
                   <div class="content-data">




<ol class="breadcrumb">
  <li>Components</li>
  <li>ActionsOnBallotsComponent</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
        <li >
            <a href="#templateData" role="tab" id="templateData-tab" data-toggle="tab" data-link="template">Template</a>
        </li>
        <li >
            <a href="#styleData" role="tab" id="styleData-tab" data-toggle="tab" data-link="style">Styles</a>
        </li>
        <li >
            <a href="#tree" role="tab" id="tree-tab" data-toggle="tab" data-link="dom-tree">DOM Tree</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info"><p class="comment">
    <h3>File</h3>
</p>
<p class="comment">
    <code>src/app/core/actions-on-ballots/actions-on-ballots.component.ts</code>
</p>





<section>
    <h3>Metadata</h3>
    <table class="table table-sm table-hover">
        <tbody>











            <tr>
                <td class="col-md-3">selector</td>
                <td class="col-md-9"><code>actions-on-ballots</code></td>
            </tr>

            <tr>
                <td class="col-md-3">styleUrls</td>
                <td class="col-md-9"><code>./actions-on-ballots.component.scss</code></td>
            </tr>



            <tr>
                <td class="col-md-3">templateUrl</td>
                <td class="col-md-9"><code>./actions-on-ballots.component.html</code></td>
            </tr>








        </tbody>
    </table>
</section>

    <section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Methods</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#cancel">cancel</a>
                            </li>
                            <li>
                                <a href="#modify">modify</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Inputs</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#ballots">ballots</a>
                            </li>
                            <li>
                                <a href="#disabled">disabled</a>
                            </li>
                            <li>
                                <a href="#isVotation">isVotation</a>
                            </li>
                        </ul>
                    </td>
                </tr>




                    <tr>
                        <td class="col-md-4">
                            <h6><b>Accessors</b></h6>
                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <ul class="index-list">
                                <li>
                                    <a href="#displayCancel">displayCancel</a>
                                </li>
                            </ul>
                        </td>
                    </tr>
        </tbody>
    </table>
</section>

    <section>
    <h3 id="constructor">Constructor</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
<code>constructor(router: <a href="https://angular.io/api/router/Router" target="_blank">Router</a>, route: <a href="https://angular.io/api/router/ActivatedRoute" target="_blank">ActivatedRoute</a>, currentVotingService: <a href="../injectables/CurrentVotingService.html">CurrentVotingService</a>, localizationService: <a href="../injectables/LocalizationService.html">LocalizationService</a>, dialog: MatDialog)</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="42" class="link-to-prism">src/app/core/actions-on-ballots/actions-on-ballots.component.ts:42</a></div>
                            </td>
                        </tr>

                <tr>
                    <td class="col-md-4">
                            <div>
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>router</td>
                                                  
                                                        <td>
                                                                    <code><a href="https://angular.io/api/router/Router" target="_blank" >Router</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>route</td>
                                                  
                                                        <td>
                                                                    <code><a href="https://angular.io/api/router/ActivatedRoute" target="_blank" >ActivatedRoute</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>currentVotingService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/CurrentVotingService.html" target="_self" >CurrentVotingService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>localizationService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/LocalizationService.html" target="_self" >LocalizationService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>dialog</td>
                                                  
                                                        <td>
                                                                    <code>MatDialog</code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>

    <section>
    <h3 id="inputs">Inputs</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-2">
                        <a name="ballots"></a>
                        <code>ballots</code>
                    </td>
                    <td class="col-md-10">
                            <p>
                            <em>Type :</em>    <code><a href="../interfaces/Votation.html" target="_self" >(Votation | ElectionBallot)[]</a></code>

                            </p>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-2" colspan="2">
                                    <div class="io-line">Defined in <a href="" data-line="40" class="link-to-prism">src/app/core/actions-on-ballots/actions-on-ballots.component.ts:40</a></div>
                            </td>
                        </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-2">
                        <a name="disabled"></a>
                        <code>disabled</code>
                    </td>
                    <td class="col-md-10">
                            <p>
                            <em>Type :</em>    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/boolean" target="_blank" >boolean</a></code>

                            </p>
                        <p>
                            <em>Default value : </em><code>false</code>
                        </p>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-2" colspan="2">
                                    <div class="io-line">Defined in <a href="" data-line="42" class="link-to-prism">src/app/core/actions-on-ballots/actions-on-ballots.component.ts:42</a></div>
                            </td>
                        </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-2">
                        <a name="isVotation"></a>
                        <code>isVotation</code>
                    </td>
                    <td class="col-md-10">
                            <p>
                            <em>Type :</em>    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/boolean" target="_blank" >boolean</a></code>

                            </p>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-2" colspan="2">
                                    <div class="io-line">Defined in <a href="" data-line="41" class="link-to-prism">src/app/core/actions-on-ballots/actions-on-ballots.component.ts:41</a></div>
                            </td>
                        </tr>
            </tbody>
        </table>
</section>



    <section>
    
        <h3 id="methods">
            Methods
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="cancel"></a>
                        <span class="name">
                            <b>
                            cancel
                            </b>
                            <a href="#cancel"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>cancel()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="71" class="link-to-prism">src/app/core/actions-on-ballots/actions-on-ballots.component.ts:71</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="modify"></a>
                        <span class="name">
                            <b>
                            modify
                            </b>
                            <a href="#modify"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>modify()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="55" class="link-to-prism">src/app/core/actions-on-ballots/actions-on-ballots.component.ts:55</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>


    <section>
    <h3 id="accessors">
        Accessors
    </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="displayCancel"></a>
                        <span class="name"><b>displayCancel</b><a href="#displayCancel"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>displayCancel()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="51" class="link-to-prism">src/app/core/actions-on-ballots/actions-on-ballots.component.ts:51</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
</section>
</div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { Component, Input } from &quot;@angular/core&quot;;
import { CurrentVotingService } from &#x27;../../operation/current-voting-service&#x27;;
import { Votation } from &#x27;../../model/votation&#x27;;
import { ElectionBallot } from &#x27;../../model/election&#x27;;
import { ActivatedRoute, Router } from &#x27;@angular/router&#x27;;
import { ChvoteDialogComponent } from &#x27;../chvote-dialog/chvote-dialog.component&#x27;;
import { MatDialog } from &#x27;@angular/material&#x27;;
import { LocalizationService } from &#x27;../service/localization.service&#x27;;

@Component({
  selector: &#x27;actions-on-ballots&#x27;,
  templateUrl: &#x27;./actions-on-ballots.component.html&#x27;,
  styleUrls: [&#x27;./actions-on-ballots.component.scss&#x27;]
})

export class ActionsOnBallotsComponent {
  @Input() ballots: (Votation | ElectionBallot)[];
  @Input() isVotation: boolean;
  @Input() disabled: boolean &#x3D; false;

  constructor(private router: Router,
              private route: ActivatedRoute,
              private currentVotingService: CurrentVotingService,
              private localizationService: LocalizationService,
              private dialog: MatDialog) {
  }

  get displayCancel(): boolean {
    return !this.currentVotingService.hasSingleBallot();
  }

  modify(): void {
    if (this.isVotation) {
      CurrentVotingService.copyVotationBallotInBuffer(this.ballots as Votation[]);
      if (this.ballots.length &gt; 1) {
        // navigate on general page
        this.router.navigate([&#x27;../votationBallot&#x27;], {relativeTo: this.route});
      } else {
        // navigate to a single ballot
        this.router.navigate([&#x27;../votationBallot/&#x27;],
          {relativeTo: this.route, queryParams: {domainOfInfluence: this.ballots[0].domainOfInfluence}});
      }
    } else {
      // TODO: navigate to election ballot page
    }
  }

  cancel(): void {
    if (this.currentVotingService.participationCount() &#x3D;&#x3D;&#x3D; 1) {
      // cancelling the last ballot is forbidden
      this.dialog.open(ChvoteDialogComponent, {
        width: &#x27;500px&#x27;,
        disableClose: true,
        data: {
          messageKey: &#x27;ballot-list.dialog.cancel-forbidden&#x27;,
          primaryButtonKey: &#x27;global.actions.close&#x27;
        }
      });

    } else {
      // display confirmation message
      this.dialog.open(ChvoteDialogComponent, {
        width: &#x27;500px&#x27;,
        disableClose: true,
        data: {
          messageKey: &#x27;ballot-list.dialog.confirm-cancel-participation&#x27;,
          messageParams: {
            ballot: this.localizationService.translate(this.ballots[0].localizedLabel)
          },
          primaryButtonKey: &#x27;global.actions.yes&#x27;,
          secondaryButtonKey: &#x27;global.actions.no&#x27;
        }
      }).afterClosed().subscribe((accept: boolean) &#x3D;&gt; {
        if (accept) {
          this.ballots.forEach(ballot &#x3D;&gt; this.currentVotingService.removeVoteFor(ballot));
        }
      });
    }
  }

}
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-templateData">
        <pre class="line-numbers"><code class="language-html">&lt;!--~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  ~ /*                                                                                            ~
  ~  - #%L                                                                                        ~
  ~  - CHVote-Receiver                                                                            ~
  ~  - %%                                                                                         ~
  ~  - Copyright (C) 2016 - 2018 République et Canton de Genève                                   ~
  ~  - %%                                                                                         ~
  ~  - This program is free software: you can redistribute it and/or modify                       ~
  ~  - it under the terms of the GNU Affero General Public License as published by                ~
  ~  - the Free Software Foundation, either version 3 of the License, or                          ~
  ~  - (at your option) any later version.                                                        ~
  ~  -                                                                                            ~
  ~  - This program is distributed in the hope that it will be useful,                            ~
  ~  - but WITHOUT ANY WARRANTY; without even the implied warranty of                             ~
  ~  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                               ~
  ~  - GNU General Public License for more details.                                               ~
  ~  -                                                                                            ~
  ~  - You should have received a copy of the GNU Affero General Public License                   ~
  ~  - along with this program. If not, see &lt;http://www.gnu.org/licenses/&gt;.                       ~
  ~  - #L%                                                                                        ~
  ~  */                                                                                           ~
  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~--&gt;
&lt;div class&#x3D;&quot;modify-section&quot;&gt;
  &lt;button *ngIf&#x3D;&quot;displayCancel&quot;
          mat-raised-button class&#x3D;&quot;secondary cancel-button&quot;
          [disabled]&#x3D;&quot;disabled&quot;
          (click)&#x3D;&quot;cancel()&quot;&gt;
    &lt;i class&#x3D;&quot;fas fa-ban&quot; data-fa-transform&#x3D;&quot;up-1 left-6&quot;&gt;&lt;/i&gt;
    {{ &#x27;global.actions.cancel-participation&#x27; | translate }}
  &lt;/button&gt;
  &lt;button mat-raised-button class&#x3D;&quot;secondary modify-button&quot;
          [disabled]&#x3D;&quot;disabled&quot;
          (click)&#x3D;&quot;modify()&quot;&gt;
    &lt;i class&#x3D;&quot;fas fa-edit&quot; data-fa-transform&#x3D;&quot;up-1 left-6&quot;&gt;&lt;/i&gt;
    {{ &#x27;global.actions.modify-ballot&#x27; | translate }}
  &lt;/button&gt;
&lt;/div&gt;

</code></pre>
    </div>

    <div class="tab-pane fade " id="c-styleData">
                <p class="comment">
                    <code>./actions-on-ballots.component.scss</code>
                </p>
                <pre class="line-numbers"><code class="language-scss">/*!*************************************************************************************************
 *                                                                                                *
 *  - #%L                                                                                         *
 *  - CHVote-Receiver                                                                             *
 *  - %%                                                                                          *
 *  - Copyright (C) 2016 - 2018 République et Canton de Genève                                    *
 *  - %%                                                                                          *
 *  - This program is free software: you can redistribute it and/or modify                        *
 *  - it under the terms of the GNU Affero General Public License as published by                 *
 *  - the Free Software Foundation, either version 3 of the License, or                           *
 *  - (at your option) any later version.                                                         *
 *  -                                                                                             *
 *  - This program is distributed in the hope that it will be useful,                             *
 *  - but WITHOUT ANY WARRANTY; without even the implied warranty of                              *
 *  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                                *
 *  - GNU General Public License for more details.                                                *
 *  -                                                                                             *
 *  - You should have received a copy of the GNU Affero General Public License                    *
 *  - along with this program. If not, see &lt;http://www.gnu.org/licenses/&gt;.                        *
 *  - #L%                                                                                         *
 *                                                                                                *
 **************************************************************************************************/
.modify-section {
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
}

.modify-section button {
  margin-right: 20px;
}

.modify-section button:last-child {
  margin-top: 10px;
}

@media screen and (min-width: 576px) {
  .modify-section {
    flex-direction: row;
  }

  .modify-section button:last-child {
    margin-top: 0;
  }
}


</code></pre>
    </div>

    <div class="tab-pane fade " id="c-tree">
        <div id="tree-container"></div>
        <div class="tree-legend">
            <div class="title">
                <b>Legend</b>
            </div>
            <div>
                <div class="color htmlelement"></div><span>Html element</span>
            </div>
            <div>
                <div class="color component"></div><span>Component</span>
            </div>
            <div>
                <div class="color directive"></div><span>Html element with directive</span>
            </div>
        </div>
    </div>

    
</div>

<script src="../js/libs/vis.min.js"></script>
<script src="../js/libs/htmlparser.js"></script>
<script src="../js/libs/deep-iterator.js"></script>
<script>
        var COMPONENT_TEMPLATE = '<div><!--~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~  ~ /*                                                                                            ~  ~  - #%L                                                                                        ~  ~  - CHVote-Receiver                                                                            ~  ~  - %%                                                                                         ~  ~  - Copyright (C) 2016 - 2018 République et Canton de Genève                                   ~  ~  - %%                                                                                         ~  ~  - This program is free software: you can redistribute it and/or modify                       ~  ~  - it under the terms of the GNU Affero General Public License as published by                ~  ~  - the Free Software Foundation, either version 3 of the License, or                          ~  ~  - (at your option) any later version.                                                        ~  ~  -                                                                                            ~  ~  - This program is distributed in the hope that it will be useful,                            ~  ~  - but WITHOUT ANY WARRANTY; without even the implied warranty of                             ~  ~  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                               ~  ~  - GNU General Public License for more details.                                               ~  ~  -                                                                                            ~  ~  - You should have received a copy of the GNU Affero General Public License                   ~  ~  - along with this program. If not, see <http://www.gnu.org/licenses/>.                       ~  ~  - #L%                                                                                        ~  ~  */                                                                                           ~  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~--><div class="modify-section">  <button *ngIf="displayCancel"          mat-raised-button class="secondary cancel-button"          [disabled]="disabled"          (click)="cancel()">    <i class="fas fa-ban" data-fa-transform="up-1 left-6"></i>    {{ \'global.actions.cancel-participation\' | translate }}  </button>  <button mat-raised-button class="secondary modify-button"          [disabled]="disabled"          (click)="modify()">    <i class="fas fa-edit" data-fa-transform="up-1 left-6"></i>    {{ \'global.actions.modify-ballot\' | translate }}  </button></div></div>'
    var COMPONENTS = [{'name': 'ActionsOnBallotsComponent', 'selector': 'actions-on-ballots'},{'name': 'AppComponent', 'selector': 'app-root'},{'name': 'BallotsListComponent', 'selector': 'app-ballots-list'},{'name': 'BusinessErrorDialogComponent', 'selector': 'app-business-error-dialog'},{'name': 'ChvoteBallotHeaderComponent', 'selector': 'chvote-ballot-header'},{'name': 'ChvoteCheckboxComponent', 'selector': 'chvote-checkbox'},{'name': 'ChvoteCoatOfArmsComponent', 'selector': 'chvote-coat-of-arms'},{'name': 'ChvoteDialogComponent', 'selector': 'chvote-dialog'},{'name': 'ChvoteDocumentsComponent', 'selector': 'chvote-documents'},{'name': 'ChvoteExpansionPanelComponent', 'selector': 'chvote-expansion-panel'},{'name': 'ChvoteHelperComponent', 'selector': 'chvote-helper'},{'name': 'ChvoteSubjectCardComponent', 'selector': '[chvote-subject-card]'},{'name': 'ChvoteVariantSubjectCardComponent', 'selector': '[chvote-variant-subject-card]'},{'name': 'ChvoteVotationBallotComponent', 'selector': 'chvote-votation-ballot'},{'name': 'ControlComponent', 'selector': 'control, [control]'},{'name': 'DefaultErrorsComponent', 'selector': 'default-errors'},{'name': 'ErrorMessageComponent', 'selector': 'error-message-component'},{'name': 'FinalizationComponent', 'selector': 'finalization, [finalization]'},{'name': 'FooterDocumentsComponent', 'selector': 'footer-documents'},{'name': 'FooterZoneComponent', 'selector': 'footer-zone'},{'name': 'GroupedVotationCardComponent', 'selector': '[grouped-votation-card]'},{'name': 'HeaderZoneComponent', 'selector': 'header-zone'},{'name': 'IdentificationComponent', 'selector': ''},{'name': 'LegalInformationComponent', 'selector': ''},{'name': 'LocalizedLabelComponent', 'selector': '[localized-label]'},{'name': 'OperationComponent', 'selector': ''},{'name': 'SideZoneComponent', 'selector': 'side-zone'},{'name': 'SideZoneSectionComponent', 'selector': 'side-zone-section'},{'name': 'SingleBallotCardComponent', 'selector': '[single-ballot-card]'},{'name': 'SummaryComponent', 'selector': 'summary, [summary]'},{'name': 'TechnicalErrorDialogComponent', 'selector': 'app-technical-error-dialog'},{'name': 'VotationBallotComponent', 'selector': 'votation-ballot, [votation-ballot]'},{'name': 'VotationCardComponent', 'selector': '[votation-card]'},{'name': 'VoteWorkflowStepComponent', 'selector': 'li[vote-workflow-step]'},{'name': 'VoteWorkflowViewComponent', 'selector': 'vote-workflow-view'}];
    var DIRECTIVES = [];
    var ACTUAL_COMPONENT = {'name': 'ActionsOnBallotsComponent'};
</script>
<script src="../js/tree.js"></script>














                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'component';
            var COMPODOC_CURRENT_PAGE_URL = 'ActionsOnBallotsComponent.html';
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
